Edit a key's name, scopes, IP allowlist or budget
PATCH /v1/api-keys/{key}
In this build: Real.
Scope: account.admin
CLI: harebox api-key set
| Field | Type | Notes |
|---|---|---|
name |
string |
|
scopes |
array |
|
ip_allowlist |
array |
|
monthly_budget_usd |
number or null |
|
rate_limit_per_minute |
integer or null |
ApiKey
| Field | Type | Notes |
|---|---|---|
id (required) |
string |
|
name (required) |
string |
|
scopes (required) |
array |
|
preset |
string or null |
One of: read_only, full_sandbox, ci, tenant, admin |
sandboxes |
array |
|
projects |
array |
|
environments |
array |
|
label_selector |
string or null |
|
ip_allowlist |
array |
|
monthly_budget_usd |
number or null |
|
rate_limit_per_minute |
integer or null |
|
expires_at |
string or null |
|
last_used_at |
string or null |
Errors follow one format.

